Qt 5.6 | Qt Core | C++ Classes | QStringRef

Qt 5.6.2 Reference Documentation

# Obsolete Members for QStringRef

The following members of class QStringRef are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QByteArray | toAscii() const

## Member Function Documentation

### QByteArray QStringRef::toAscii() const

Returns an 8-bit representation of the string as a QByteArray.

This function does the same as toLatin1().

Note that, despite the name, this function does not necessarily return an US-ASCII (ANSI X3.4-1986) string and its result may not be US-ASCII compatible.

This function was introduced in Qt 4.8.

See also toLatin1(), toUtf8(), toLocal8Bit(), and QTextCodec.